/**************************************************************************/
/* GF70 ( JSPチェック結果テーブル )                                       */
/*                                                                        */
/* Created : 2010/08/05 08:49:42                                          */
/**************************************************************************/
CREATE TABLE GF70 (
   SYSTEM_ID VARCHAR2(10)                 NOT NULL      /* 10  システムID   */
 , PRE_FIX   VARCHAR2(10)                 NOT NULL      /* 18  名前空間     */
 , ADDRESS   VARCHAR2(256)                              /* 20  アドレス     */
 , FILENAME  VARCHAR2(30)                               /* 30  ファイル名   */
 , FILEPATH  VARCHAR2(256)                              /* 40  ファイルパス */
 , MODIFIED  VARCHAR2(14)                               /* 50  最終更新日   */
 , TAGNAME   VARCHAR2(30)                               /* 60  タグ名称     */
 , MSGCD     VARCHAR2(20)                               /* 70  メッセージID */
 , MSGTXT    VARCHAR2(500)                              /* 80  内容         */
 , TEXT_DATA CLOB                                       /* 90  テキスト     */
 , FGOMIT    VARCHAR2(1)      DEFAULT '0' NOT NULL      /* 100 除外フラグ   */
 , UNIQ      NUMBER(9)        DEFAULT 0   NOT NULL      /* 800 ユニークキー */
 , FGJ       VARCHAR2(1)      DEFAULT '1' NOT NULL      /* 810 状態フラグ   */
 , DYSET     VARCHAR2(14)                               /* 820 登録日時     */
 , PGSET     VARCHAR2(10)                               /* 830 作成PG       */
 , PGPSET    VARCHAR2(10)                               /* 840 作成親PG     */
 , USRSET    VARCHAR2(10)                               /* 850 作成社員     */
 , DYUPD     VARCHAR2(14)                               /* 860 更新日時     */
 , PGUPD     VARCHAR2(10)                               /* 870 更新PG       */
 , PGPUPD    VARCHAR2(10)                               /* 880 更新親PG     */
 , USRUPD    VARCHAR2(10)                               /* 890 更新者       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 2048K NEXT 16K PCTINCREASE 0 );


CREATE SEQUENCE GF70S00 
INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF70T00 
BEFORE INSERT ON GF70
FOR EACH ROW 
BEGIN 
SELECT GF70S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
END; 
/

