/**************************************************************************/
/* GF79 ( リソース抜出テーブル )                                          */
/*                                                                        */
/* Created : 2010/08/05 08:49:42                                          */
/**************************************************************************/
CREATE TABLE GF79 (
   SYSTEM_ID VARCHAR2(10)                 NOT NULL      /* 10  システムID   */
 , SOURCE    VARCHAR2(256)                              /* 20  ソース       */
 , FILENAME  VARCHAR2(30)                               /* 30  ファイル名   */
 , FILEPATH  VARCHAR2(256)                              /* 40  ファイルパス */
 , MODIFIED  VARCHAR2(14)                               /* 50  最終更新日   */
 , TAGNAME   VARCHAR2(30)                               /* 60  タグ名称     */
 , KBRSC     VARCHAR2(1)                                /* 70  リソース区分 */
 , NAME_JA   VARCHAR2(200)                              /* 80  名称         */
 , FGOMIT    VARCHAR2(1)      DEFAULT '0' NOT NULL      /* 160 除外フラグ   */
 , UNIQ      NUMBER(9)        DEFAULT 0   NOT NULL      /* 800 ユニークキー */
 , FGJ       VARCHAR2(1)      DEFAULT '1' NOT NULL      /* 810 状態フラグ   */
 , DYSET     VARCHAR2(14)                               /* 820 登録日時     */
 , PGSET     VARCHAR2(10)                               /* 830 作成PG       */
 , PGPSET    VARCHAR2(10)                               /* 840 作成親PG     */
 , USRSET    VARCHAR2(10)                               /* 850 作成社員     */
 , DYUPD     VARCHAR2(14)                               /* 860 更新日時     */
 , PGUPD     VARCHAR2(10)                               /* 870 更新PG       */
 , PGPUPD    VARCHAR2(10)                               /* 880 更新親PG     */
 , USRUPD    VARCHAR2(10)                               /* 890 更新者       */
)
TABLESPACE GETBL01
STORAGE( INITIAL 2048K NEXT 16K PCTINCREASE 0 );


CREATE SEQUENCE GF79S00 
INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF79T00 
BEFORE INSERT ON GF79
FOR EACH ROW 
BEGIN 
SELECT GF79S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
END; 
/

